View Issue Details

IDProjectCategoryView StatusLast Update
0008192VCOMPONENT-VKERNELSQL Functionspublic2018-02-22 08:00
ReporterVladimir EsipovAssigned ToIvan Smahin 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version8.0.x 
Target Version8.0.xFixed in Version8.0.x 
Summary0008192: Errors when working with arrays
DescriptionUPDATE T SET fldA[1] = 10 WHERE fldID = 1
Ошибка ядра: 0x71000: expecting '=', found '['

SELECT ARRAY['a','b','c'][1];
VStudio crashes

SELECT JSON_TO_ARRAY( '[1,2,3,5,null]' )
returns
[ 1.000000, 2.000000, 3.000000, 5.000000, null ]
instead of
[1,2,3,5,NULL]
Additional InformationWhat about the function STRING_TO_ARRAY?
This will simplify the use of GROUP_CONCAT when fldARRAY is updated with values from another table
TagsNo tags attached.

Activities

Ruslan Zasukhin

Ruslan Zasukhin

2018-02-17 20:45

administrator   ~0010051

thank you, Vladimir, :)
we will check
Ruslan Zasukhin

Ruslan Zasukhin

2018-02-17 21:23

administrator   ~0010052

SELECT ARRAY[1,2,3][1] -- works for integers

SELECT ARRAY['a','b','c'][1] -- really crashes, some endless recursion it seems

Thread 6 Crashed:: Thread (pooled)
0 libvkernel_mt_fat_release_x64.dylib 0x000000011d6dab4f fbl::GetArray(fbl::smart_ptr<fbl::I_ENode>, fbl::smart_ptr<fbl::ENode_Array>&, unsigned int) + 47
1 libvkernel_mt_fat_release_x64.dylib 0x000000011d6db23f fbl::ENode_Array_Element::GetArrayItem(unsigned int) + 89
2 libvkernel_mt_fat_release_x64.dylib 0x000000011d6db5ad fbl::ENode_Array_Element::str_val(unsigned int, int) + 43
3 libvkernel_mt_fat_release_x64.dylib 0x000000011d6db5dc fbl::ENode_Array_Element::str_val(unsigned int, int) + 90
4 libvkernel_mt_fat_release_x64.dylib 0x000000011d6db5dc fbl::ENode_Array_Element::str_val(unsigned int, int) + 90
5 libvkernel_mt_fat_release_x64.dylib 0x000000011d6db5dc fbl::ENode_Array_Element::str_val(unsigned int, int) + 90
6 libvkernel_mt_fat_release_x64.dylib 0x000000011d6db5dc fbl::ENode_Array_Element::str_val(unsigned int, int) + 90
7 libvkernel_mt_fat_release_x64.dylib 0x000000011d6db5dc fbl::ENode_Array_Element::str_val(unsigned int, int) + 90
Ruslan Zasukhin

Ruslan Zasukhin

2018-02-20 07:59

administrator   ~0010061

Fixed issues in Parser and Tree parser. Now they understand okay

UPDATE T1 SET fldArr[1] = 5 ...
UPDATE T1 SET fldArr[@var] = 5 ...
UPDATE T1 SET fldArr[10+1] = 5 ...
UPDATE T1 SET fldArr[10+@var] = 5 ...

TODO: finish logic in nodes.

Issue History

Date Modified Username Field Change
2018-02-16 11:28 Vladimir Esipov New Issue
2018-02-17 20:40 Ruslan Zasukhin Product Version => 8.0.x
2018-02-17 20:40 Ruslan Zasukhin Target Version => 8.0.x
2018-02-17 20:45 Ruslan Zasukhin Note Added: 0010051
2018-02-17 21:23 Ruslan Zasukhin Note Added: 0010052
2018-02-20 07:59 Ruslan Zasukhin Note Added: 0010061
2018-02-22 08:00 Ivan Smahin Status new => resolved
2018-02-22 08:00 Ivan Smahin Fixed in Version => 8.0.x
2018-02-22 08:00 Ivan Smahin Resolution open => fixed
2018-02-22 08:00 Ivan Smahin Assigned To => Ivan Smahin